#Nacteme data TransBig spolecne s klinickymi informacemi a soubor top100.rdata
load(file="TransBIG-expression.rdata")
clinical2 <- read.csv("TransBIG-Sample_info.csv")
load("top100.rdata")

setRepositories(ind=1:9)

# Chceme zjistit rozdil v preziti mezi skupinami ER+ a ER-

# Nacteme funkci pro vykresleni Kaplan-Meierovych krivek a balik pro analyzu preziti
source("surv.plot.R")
# install.packages("survival")
library(survival)

rfs <- clinical2$Time.RFS..days
head(rfs)
rfs.event <- clinical2$Event.RFS
head(rfs.event)
surv.plot(survfit(Surv(rfs, rfs.event)~clinical2$ER.pos.1.yes.))

#odhadneme median preziti
survfit(Surv(rfs, rfs.event)~clinical2$ER.pos.1.yes.)

# Je rozdil v preziti statisticky vyznamny?
survdiff(Surv(rfs, rfs.event)~clinical2$ER.pos.1.yes.)
# Neni, i kdyz je tam trend. 

# Nyni to zkusime se skupinami definovanymi shlukovanim, kterým jsme v kapitole Objevovani skupin tvorili 
# na datech heatmapu. Heatmapa sice vnitrne aplikovala shlukovaci algoritmus, ale my to musime udelat znovu 
# abychom ziskali dendrogram, ze ktereho pak vyextrahujeme príslusnost ke skupinam.

eukl2 <- dist(X[,intersect(colnames(X),top100)])
hclust2 <- hclust(eukl2)
plot(hclust2)
groups2 <- cutree(hclust2, k=2) # delime na dve skupiny
head(groups2)

surv.plot(survfit(Surv(rfs, rfs.event)~groups2))


# Dalsi ulohy k procviceni:
# 1) Udelejte podobnou analyzu s top200 a top500 geny
# 2) Pote udelejte podobnou analyzu s HER2

# Modelovani pomoci Coxova modelu. Aplikujeme normalizaci, median clustering a IQR deleni.
med<-median(X)
iqr<-IQR(X)
X2<-(X-med)/iqr

# Ma gen ESR1 nejaky vliv na dobu preziti do relapsu (RFS)?
coxph(Surv(rfs, rfs.event)~X2[,"ESR1"])
#ESR1 nema vliv na RFS (p = 0.86)

#Nyni hledame geny, ktere maji vyznamny vliv na relepse-free-survival:
surv.res<-c()
for (i in c(1:ncol(X2)))
  {
    temp<-coxph(Surv(rfs, rfs.event)~X2[,i])
    a<-summary(temp)
    surv.res<-rbind(surv.res, c(colnames(X2)[i],a$coefficients))
    }
colnames(surv.res)<-c("gene",colnames(a$coefficients))
head(surv.res)
